AMFETCHDUMP(8)

NAME
amfetchdump - extract backup images from multiple Amanda tapes.

SYNOPSIS

amfetchdump [-c | -C | -l] [-p | -n] [-a] [-O directory] [-d device] [-h | --header-file filename | --header-fd fd] [--decompress | --no-decompress | --server-decompress | --client-decompress] [--extract --directory directory [--data-path amanda|directtcp] [--application-property NAME=VALUE]*] [--decrypt | --no-decrypt | --server-decrypt | --client-decrypt] [--exact_match] [-o configoption...] config hostname [disk [ date [ level [ hostname [...] ] ] ]]

DESCRIPTION

Amfetchdump pulls one or more matching dumps from tape or from the holding disk, handling the reassembly of multi-tape split dump files as well as any tape autochanger operations. The dump are by default decompressed and decrypted.

It will automatically use the Amanda catalog to locate available dumps on tape, in the same way that the find feature of amadmin(8) lists available dumps.

The hostname, diskname, datestamp, and level dump specifications are further described in amanda-match(7). Note that at minimum a hostname must be specified.

Unless -p is used, backup images are extracted to files in the current directory named:

If a changer error occurs, or the -d option is given, then amfetchdump prompts for each required volume.

hostname.diskname.datestamp.dumplevel

OPTIONS

-p
    Pipe exactly one complete dump file to stdout, instead of writing the file to disk. This will restore only the first matching dumpfile (where "first" is determined by the dump log search facility).

-h
    Output the amanda header as a 32K block to same output as the image.

--header-fd fd
    Output the amanda header to the numbered file descriptor.

--header-file filename
    Output the amanda header to the filename.

-d device_or_changer
    Restore from this device or changer instead of the default, prompting for each volume.

-O directory
    Output restored files to this directory, instead of to the current working directory.

-c
    Compress output, fastest method available.

-C
    Compress output, smallest file size method available.

--decompress
    Always do the decompression, this is the default.

--no-decompress
    Never do the decompression.

--server-decompress
    Do the decompression only if the compression was done on the server.

--client-decompress
    Do the decompression only if the compression was done on the client.

--decrypt
    Always do the decryption, this is the default.

--no-decrypt
    Never do the decryption.

--server-decrypt
    Do the decryption only if the encryption was done on the server.

--client-decrypt
    Do the decryption only if the encryption was done on the client.

--exact-match
    The host and disk are parsed as exact values

--extract
    Extract the backup on the server in the directory directory.

--directory directory
    Where to extract the backup with the --extract option.

    Warning: All files in that directory can be removed.

--data-path amanda|directtcp
    The data path to use with --extract, the default is to use the fatest data path.

--application-property NAME=VALUE
    Application property to send to the application with --extract.

-l
    Leave dumps in the compressed/uncompressed and encrypted/unencrypted state in which they were found on tape. It is a synonym for --no-decompression and --no-decryption

-a
    Assume that all tapes are already available, via tape changer or otherwise, instead of prompting the operator to ensure that all tapes are loaded.

-n
    Do not reassemble split dump files at all, just restore each piece as an individual file.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

EXAMPLES

All the examples here assume your configuration is called SetA.

Here's a simple case, restoring all known dumps of the host vanya to the current working directory.
$ amfetchdump SetA vanya

A more likely scenario involves restoring a particular dump from a particular date. We'll pipe this one to GNU-tar as well, to automatically extract the dump.
$ amfetchdump -p SetA vanya /home 20051020 | gtar -xvpf -

CAVEATS

Amfetchdump is dependent on accessing your server's config, tape changer, and (normally) dump logs. As such, it's not necessarily the most useful tool when those have all been wiped out and you desperately need to pull things from your tape. Pains have been taken to make it as capable as possible, but for seriously minimialist restores, look to amrestore(8) or dd(8) instead.

SEE ALSO

amanda(8), amanda-match(7), amadmin(8), amrestore(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

John Stange <building@nap.edu>
    National Academies Press

Ian Turner <ian@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)